YLIL Lilydale Airport

One of the favourite all-time Orbx free airports, Lilydale was developed by the AU BLUE team as their base for test flights during the project's inception. Now updated to V2 with Orbx's new Flow technologies and extended photoreal coverage.


Screenshots

YLIL Lilydale Airport screenshot YLIL Lilydale Airport screenshot YLIL Lilydale Airport screenshot YLIL Lilydale Airport screenshot

Compatibility

General

To download and install this product you will need FTX Central v3. Microsoft .NET Framework 4.5 or above is required by FTX Central v3. Windows XP is not supported. FTX Central v3 is only compatible with Microsoft Windows.

The full download for this product is 325.97 MB.

Supported Simulators

This product is compatible with the following simulators:

Prerequisite Products

You require at least one of the following products to use YLIL Lilydale Airport.

AU Australia $54.95 AUD The world's oldest continent
  • FSX
  • FSXSE
  • P3DV1
  • P3DV2
  • P3DV3
  • P3DV4